net.sf.jasperreports.charts.base

## Class JRBaseTimeSeriesPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseTimeSeriesPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCommonLinePlot, JRTimeAxisFormat, JRTimeSeriesPlot, JRValueAxisFormat, JRChangeEventsSupport, JRChartPlot, JRCloneable
  Direct Known Subclasses:
    JRDesignTimeSeriesPlot

      public class JRBaseTimeSeriesPlot
      extends JRBaseChartPlot
      implements JRTimeSeriesPlot

  Version:
    $Id: JRBaseTimeSeriesPlot.java 7088 2014-05-12 15:56:44Z lucianc $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `domainAxisMaxValueExpression`
    `protected JRExpression` | `domainAxisMinValueExpression`
    `static java.lang.String` | `PROPERTY_SHOW_LINES`
    `static java.lang.String` | `PROPERTY_SHOW_SHAPES`
    `protected JRExpression` | `rangeAxisMaxValueExpression`
    `protected JRExpression` | `rangeAxisMinValueExpression`
    `protected java.awt.Color` | `timeAxisLabelColor`
    `protected JRExpression` | `timeAxisLabelExpression`
    `protected JRFont` | `timeAxisLabelFont`
    `protected java.awt.Color` | `timeAxisLineColor`
    `protected java.awt.Color` | `timeAxisTickLabelColor`
    `protected JRFont` | `timeAxisTickLabelFont`
    `protected java.lang.String` | `timeAxisTickLabelMask`
    `protected java.lang.Boolean` | `timeAxisVerticalTickLabels`
    `protected java.awt.Color` | `valueAxisLabelColor`
    `protected JRExpression` | `valueAxisLabelExpression`
    `protected JRFont` | `valueAxisLabelFont`
    `protected java.awt.Color` | `valueAxisLineColor`
    `protected java.awt.Color` | `valueAxisTickLabelColor`
    `protected JRFont` | `valueAxisTickLabelFont`
    `protected java.lang.String` | `valueAxisTickLabelMask`
    `protected java.lang.Boolean` | `valueAxisVerticalTickLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseTimeSeriesPlot(JRChartPlot plot, JRChart chart)`
    `` | `JRBaseTimeSeriesPlot(JRTimeSeriesPlot plot, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone(JRChart parentChart)`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `java.awt.Color` | `getOwnTimeAxisLabelColor()`
    `java.awt.Color` | `getOwnTimeAxisLineColor()`
    `java.awt.Color` | `getOwnTimeAxisTickLabelColor()`
    `java.awt.Color` | `getOwnValueAxisLabelColor()`
    `java.awt.Color` | `getOwnValueAxisLineColor()`
    `java.awt.Color` | `getOwnValueAxisTickLabelColor()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `java.lang.Boolean` | `getShowLines()`
    `java.lang.Boolean` | `getShowShapes()`
    `java.awt.Color` | `getTimeAxisLabelColor()`
    `JRExpression` | `getTimeAxisLabelExpression()`
    `JRFont` | `getTimeAxisLabelFont()`
    `java.awt.Color` | `getTimeAxisLineColor()`
    `java.awt.Color` | `getTimeAxisTickLabelColor()`
    `JRFont` | `getTimeAxisTickLabelFont()`
    `java.lang.String` | `getTimeAxisTickLabelMask()`
    `java.lang.Boolean` | `getTimeAxisVerticalTickLabels()`
    `java.awt.Color` | `getValueAxisLabelColor()`
    `JRExpression` | `getValueAxisLabelExpression()`
    `JRFont` | `getValueAxisLabelFont()`
    `java.awt.Color` | `getValueAxisLineColor()`
    `java.awt.Color` | `getValueAxisTickLabelColor()`
    `JRFont` | `getValueAxisTickLabelFont()`
    `java.lang.String` | `getValueAxisTickLabelMask()`
    `java.lang.Boolean` | `getValueAxisVerticalTickLabels()`
    `void` | `setShowLines(java.lang.Boolean val)` Sets the show lines flag
    `void` | `setShowShapes(java.lang.Boolean val)` Sets the show shapes flag

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_SHOW_LINES

          public static final java.lang.String PROPERTY_SHOW_LINES

      See Also:
        Constant Field Values

    - #### PROPERTY_SHOW_SHAPES

          public static final java.lang.String PROPERTY_SHOW_SHAPES

      See Also:
        Constant Field Values

    - #### timeAxisLabelExpression

          protected JRExpression timeAxisLabelExpression

    - #### timeAxisLabelFont

          protected JRFont timeAxisLabelFont

    - #### timeAxisLabelColor

          protected java.awt.Color timeAxisLabelColor

    - #### timeAxisTickLabelFont

          protected JRFont timeAxisTickLabelFont

    - #### timeAxisTickLabelColor

          protected java.awt.Color timeAxisTickLabelColor

    - #### timeAxisTickLabelMask

          protected java.lang.String timeAxisTickLabelMask

    - #### timeAxisVerticalTickLabels

          protected java.lang.Boolean timeAxisVerticalTickLabels

    - #### timeAxisLineColor

          protected java.awt.Color timeAxisLineColor

    - #### valueAxisLabelExpression

          protected JRExpression valueAxisLabelExpression

    - #### rangeAxisMinValueExpression

          protected JRExpression rangeAxisMinValueExpression

    - #### rangeAxisMaxValueExpression

          protected JRExpression rangeAxisMaxValueExpression

    - #### domainAxisMinValueExpression

          protected JRExpression domainAxisMinValueExpression

    - #### domainAxisMaxValueExpression

          protected JRExpression domainAxisMaxValueExpression

    - #### valueAxisLabelFont

          protected JRFont valueAxisLabelFont

    - #### valueAxisLabelColor

          protected java.awt.Color valueAxisLabelColor

    - #### valueAxisTickLabelFont

          protected JRFont valueAxisTickLabelFont

    - #### valueAxisTickLabelColor

          protected java.awt.Color valueAxisTickLabelColor

    - #### valueAxisTickLabelMask

          protected java.lang.String valueAxisTickLabelMask

    - #### valueAxisVerticalTickLabels

          protected java.lang.Boolean valueAxisVerticalTickLabels

    - #### valueAxisLineColor

          protected java.awt.Color valueAxisLineColor

  - ### Constructor Detail

    - #### JRBaseTimeSeriesPlot

          protected JRBaseTimeSeriesPlot(JRChartPlot plot,
                              JRChart chart)

    - #### JRBaseTimeSeriesPlot

          public JRBaseTimeSeriesPlot(JRTimeSeriesPlot plot,
                              JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getTimeAxisLabelExpression

          public JRExpression getTimeAxisLabelExpression()

      Specified by:
        `getTimeAxisLabelExpression` in interface `JRTimeSeriesPlot`
      Returns:
        the time axis label expression

    - #### getTimeAxisLabelFont

          public JRFont getTimeAxisLabelFont()

      Specified by:
        `getTimeAxisLabelFont` in interface `JRTimeAxisFormat`

    - #### getTimeAxisLabelColor

          public java.awt.Color getTimeAxisLabelColor()

      Specified by:
        `getTimeAxisLabelColor` in interface `JRTimeAxisFormat`

    - #### getOwnTimeAxisLabelColor

          public java.awt.Color getOwnTimeAxisLabelColor()

      Specified by:
        `getOwnTimeAxisLabelColor` in interface `JRTimeAxisFormat`

    - #### getTimeAxisTickLabelFont

          public JRFont getTimeAxisTickLabelFont()

      Specified by:
        `getTimeAxisTickLabelFont` in interface `JRTimeAxisFormat`

    - #### getTimeAxisTickLabelColor

          public java.awt.Color getTimeAxisTickLabelColor()

      Specified by:
        `getTimeAxisTickLabelColor` in interface `JRTimeAxisFormat`

    - #### getOwnTimeAxisTickLabelColor

          public java.awt.Color getOwnTimeAxisTickLabelColor()

      Specified by:
        `getOwnTimeAxisTickLabelColor` in interface `JRTimeAxisFormat`

    - #### getTimeAxisTickLabelMask

          public java.lang.String getTimeAxisTickLabelMask()

      Specified by:
        `getTimeAxisTickLabelMask` in interface `JRTimeAxisFormat`

    - #### getTimeAxisVerticalTickLabels

          public java.lang.Boolean getTimeAxisVerticalTickLabels()

      Specified by:
        `getTimeAxisVerticalTickLabels` in interface `JRTimeAxisFormat`

    - #### getTimeAxisLineColor

          public java.awt.Color getTimeAxisLineColor()

      Specified by:
        `getTimeAxisLineColor` in interface `JRTimeAxisFormat`

    - #### getOwnTimeAxisLineColor

          public java.awt.Color getOwnTimeAxisLineColor()

      Specified by:
        `getOwnTimeAxisLineColor` in interface `JRTimeAxisFormat`

    - #### getValueAxisLabelExpression

          public JRExpression getValueAxisLabelExpression()

      Specified by:
        `getValueAxisLabelExpression` in interface `JRTimeSeriesPlot`
      Returns:
        the value axis label expression

    - #### getDomainAxisMinValueExpression

          public JRExpression getDomainAxisMinValueExpression()

      Specified by:
        `getDomainAxisMinValueExpression` in interface `JRTimeSeriesPlot`
      Returns:
        the minimum value expression for the domain axis

    - #### getDomainAxisMaxValueExpression

          public JRExpression getDomainAxisMaxValueExpression()

      Specified by:
        `getDomainAxisMaxValueExpression` in interface `JRTimeSeriesPlot`
      Returns:
        the maximum value expression for the domain axis

    - #### getRangeAxisMinValueExpression

          public JRExpression getRangeAxisMinValueExpression()

      Specified by:
        `getRangeAxisMinValueExpression` in interface `JRTimeSeriesPlot`
      Returns:
        the minimum value expression for the range axis

    - #### getRangeAxisMaxValueExpression

          public JRExpression getRangeAxisMaxValueExpression()

      Specified by:
        `getRangeAxisMaxValueExpression` in interface `JRTimeSeriesPlot`
      Returns:
        the maximum value expression for the range axis

    - #### getValueAxisLabelFont

          public JRFont getValueAxisLabelFont()

      Specified by:
        `getValueAxisLabelFont` in interface `JRValueAxisFormat`

    - #### getValueAxisLabelColor

          public java.awt.Color getValueAxisLabelColor()

      Specified by:
        `getValueAxisLabelColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisLabelColor

          public java.awt.Color getOwnValueAxisLabelColor()

      Specified by:
        `getOwnValueAxisLabelColor` in interface `JRValueAxisFormat`

    - #### getValueAxisTickLabelFont

          public JRFont getValueAxisTickLabelFont()

      Specified by:
        `getValueAxisTickLabelFont` in interface `JRValueAxisFormat`

    - #### getValueAxisTickLabelColor

          public java.awt.Color getValueAxisTickLabelColor()

      Specified by:
        `getValueAxisTickLabelColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisTickLabelColor

          public java.awt.Color getOwnValueAxisTickLabelColor()

      Specified by:
        `getOwnValueAxisTickLabelColor` in interface `JRValueAxisFormat`

    - #### getValueAxisTickLabelMask

          public java.lang.String getValueAxisTickLabelMask()

      Specified by:
        `getValueAxisTickLabelMask` in interface `JRValueAxisFormat`

    - #### getValueAxisVerticalTickLabels

          public java.lang.Boolean getValueAxisVerticalTickLabels()

      Specified by:
        `getValueAxisVerticalTickLabels` in interface `JRValueAxisFormat`

    - #### getValueAxisLineColor

          public java.awt.Color getValueAxisLineColor()

      Specified by:
        `getValueAxisLineColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisLineColor

          public java.awt.Color getOwnValueAxisLineColor()

      Specified by:
        `getOwnValueAxisLineColor` in interface `JRValueAxisFormat`

    - #### getShowLines

          public java.lang.Boolean getShowLines()

      Specified by:
        `getShowLines` in interface `JRCommonLinePlot`
      Returns:
        the show lines flag

    - #### getShowShapes

          public java.lang.Boolean getShowShapes()

      Specified by:
        `getShowShapes` in interface `JRCommonLinePlot`
      Returns:
        the show shapes flag

    - #### setShowLines

          public void setShowLines(java.lang.Boolean val)

      Description copied from interface: `JRCommonLinePlot`
      Sets the show lines flag
      Specified by:
        `setShowLines` in interface `JRCommonLinePlot`
      Parameters:
        `val` - the show lines flag

    - #### setShowShapes

          public void setShowShapes(java.lang.Boolean val)

      Description copied from interface: `JRCommonLinePlot`
      Sets the show shapes flag
      Specified by:
        `setShowShapes` in interface `JRCommonLinePlot`
      Parameters:
        `val` - the show shapes flag

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRChartPlot`

    - #### clone

          public java.lang.Object clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartPlot`
      Overrides:
        `clone` in class `JRBaseChartPlot`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com